Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util.threadpool
Interface ThreadPoolMBean

All Known Subinterfaces:
  BasicThreadPoolMBean

All Known Implementing Classes:
  BasicThreadPool

public interface ThreadPoolMBean

Management interface for the thread pool.

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Method Summary
`ThreadPool` | `getInstance()` Get the instance
`int` | `getMaximumPoolSize()` Get the maximum pool size
`int` | `getMinimumPoolSize()` Get the minimum pool size
`String` | `getName()` Get the thread pool name
`int` | `getPoolNumber()` Get the internal pool number
`void` | `setMaximumPoolSize(int size)` Set the maximum pool size
`void` | `setMinimumPoolSize(int size)` Set the minimum pool size
`void` | `setName(String name)` Set the thread pool name
`void` | `stop()` Stop the thread pool

Method Detail

### getName

    public String getName()

  Get the thread pool name

  Returns:
    the thread pool name

### setName

    public void setName(String name)

  Set the thread pool name

  Parameters:
    `name` - the name

### getPoolNumber

    public int getPoolNumber()

  Get the internal pool number

  Returns:
    the internal pool number

### getMinimumPoolSize

    public int getMinimumPoolSize()

  Get the minimum pool size

  Returns:
    the minimum pool size

### setMinimumPoolSize

    public void setMinimumPoolSize(int size)

  Set the minimum pool size

  Parameters:
    `size` - the minimum pool size

### getMaximumPoolSize

    public int getMaximumPoolSize()

  Get the maximum pool size

  Returns:
    the maximum pool size

### setMaximumPoolSize

    public void setMaximumPoolSize(int size)

  Set the maximum pool size

  Parameters:
    `size` - the maximum pool size

### getInstance

    public ThreadPool getInstance()

  Get the instance

### stop

    public void stop()

  Stop the thread pool

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.